> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Eka User

> ### Overview
Soft-delete an Eka User by Eka ID or partner-provided ID. Deleted users no longer appear in list or get responses.

**Endpoint:** `{{HOST}}/cdr/v1/ekauser/{user_id}/`

**Method:** `DELETE`

### Path Parameters

| Parameter | Type   | Description                                                | Required |
| --------- | ------ | ---------------------------------------------------------- | -------- |
| user_id   | string | Eka User's Eka ID or partner-provided ID                   | Yes      |



## OpenAPI

````yaml delete /cdr/v1/ekauser/{user_id}/
openapi: 3.0.0
info:
  title: Ekacare API & Webhook Documentation
  contact: {}
  version: '1.0'
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /cdr/v1/ekauser/{user_id}/:
    delete:
      tags:
        - HIP Users API
      summary: Delete Eka User
      description: >-
        ### Overview

        Soft-delete an Eka User by Eka ID or partner-provided ID. Deleted users
        no longer appear in list or get responses.


        **Endpoint:** `{{HOST}}/cdr/v1/ekauser/{user_id}/`


        **Method:** `DELETE`


        ### Path Parameters


        | Parameter | Type   |
        Description                                                | Required |

        | --------- | ------ |
        ---------------------------------------------------------- | -------- |

        | user_id   | string | Eka User's Eka ID or partner-provided
        ID                   | Yes      |
      operationId: DeleteEkaUser
      parameters:
        - name: auth
          in: header
          description: >-
            The auth token of the business. It is used to authenticate the
            client. This should be fetched from auth api.
          required: true
          style: simple
          schema:
            type: string
            example: >-
              eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM
        - name: user_id
          in: path
          description: Eka User's Eka ID or partner-provided ID
          required: true
          style: simple
          schema:
            type: string
            example: '176917697553584'
      responses:
        '200':
          description: OK - Eka User deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: EkaUser Deleted Successfully
        '404':
          description: Eka User not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: EkaUser not found

````